package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 规则条件(IN.属于,<.小于,>.大于,=.等于,!=.不等于,>=.大于等于,<=.小于等于,like %.左模糊,like %.右模糊)枚举类
*
* @author zxfei
*/
public enum RuleConditionEnum {
    属于("IN", "属于"),
    小于("<", "小于"),
    大于(">", "大于"),
    等于("=", "等于"),
    不等于("!=", "不等于"),
    大于等于(">=", "大于等于"),
    小于等于("<=", "小于等于"),
    左模糊("like %", "左模糊"),
    右模糊("like %", "右模糊");
    private String value;
    private String desc;

    RuleConditionEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static RuleConditionEnum getByValue(String value) {
        for (RuleConditionEnum ruleConditionEnum : RuleConditionEnum.values()) {
            if (ruleConditionEnum.getValue() == value) {
                return ruleConditionEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (RuleConditionEnum item : RuleConditionEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}